# uproot.behaviors.TProfile3D.TProfile3D

Defined in uproot.behaviors.TProfile3D on line 16.

Inheritance order:
uproot.behaviors.TProfile.Profile uproot.behaviors.TH1.Histogram

class uproot.behaviors.TProfile3D.TProfile3D

  Behaviors for three-dimensional profiles: ROOT’s `TProfile3D`.

## name

Inherited from uproot.behaviors.TH1.Histogram.

TProfile3D.name

  The name of the histogram.

## title

Inherited from uproot.behaviors.TH1.Histogram.

TProfile3D.title

  The title of the histogram.

## axes

Inherited from uproot.behaviors.TH1.Histogram.

TProfile3D.axes

## axis

Inherited from uproot.behaviors.TH1.Histogram.

TProfile3D.axis(axis)

  Returns a specified uproot.behaviors.TAxis.TAxis object.

  The `axis` can be specified as

  - a non-negative integer: `0` is the first axis, `1` is the second, and `2` is the third.

  - a negative integer: `-1` is the last axis, `-2` is the second-to-last, and `-3` is the third-to-last.

  - a string: `"x"` is the first axis, `"y"` is the second, and `"z"` is the third

  (assuming that the histogram dimension supports a given `axis`).

## weighted

Inherited from uproot.behaviors.TH1.Histogram.

TProfile3D.weighted

## kind

Inherited from uproot.behaviors.TH1.Histogram.

TProfile3D.kind

## values

Inherited from uproot.behaviors.TH1.Histogram.

TProfile3D.values(flow=False)
  Parameters:

    flow (bool) – If True, include underflow and overflow bins before and after the normal (finite-width) bins.

  Mean value of each bin as a 1, 2, or 3 dimensional `numpy.ndarray` of `numpy.float64`.

  Setting `flow=True` increases the length of each dimension by two.

## errors

Inherited from uproot.behaviors.TH1.Histogram.

TProfile3D.errors(flow=False, error_mode='')
  Parameters:

    - flow (bool) – If True, include underflow and overflow bins before and after the normal (finite-width) bins.

    - error_mode (str) – Choose a method for calculating the errors (see below).

  Errors (uncertainties) in the values as a 1, 2, or 3 dimensional `numpy.ndarray` of `numpy.float64`.

  The calculation of profile errors exactly follows ROOT’s function, but in a vectorized NumPy form. The `error_mode` may be

  - `""` for standard error on the mean

  - `"s"` for spread

  - `"i"` for integer data

  - `"g"` for Gaussian

  following ROOT’s profile documentation.

  Setting `flow=True` increases the length of each dimension by two.

## variances

Inherited from uproot.behaviors.TH1.Histogram.

TProfile3D.variances(flow=False, error_mode='')
  Parameters:

    - flow (bool) – If True, include underflow and overflow bins before and after the normal (finite-width) bins.

    - error_mode (str) – Choose a method for calculating the errors (see below).

  Variances (uncertainties squared) in the values as a 1, 2, or 3 dimensional `numpy.ndarray` of `numpy.float64`.

  The calculation of profile variances exactly follows ROOT’s function, but in a vectorized NumPy form. The `error_mode` may be

  - `""` for standard error on the mean (squared)

  - `"s"` for spread (squared)

  - `"i"` for integer data (squared)

  - `"g"` for Gaussian (squared)

  following ROOT’s profile documentation.

  Setting `flow=True` increases the length of each dimension by two.

## counts

Inherited from uproot.behaviors.TH1.Histogram.

TProfile3D.counts(flow=False)
  Parameters:

    flow (bool) – If True, include underflow and overflow bins before and after the normal (finite-width) bins.

  The effective number of entries, which is a step in the calculation of values. The calculation of profile errors exactly follows ROOT’s “effective entries”, but in a vectorized NumPy form.

## to_boost

Inherited from uproot.behaviors.TH1.Histogram.

TProfile3D.to_boost(metadata={'label': 'fTitle', 'name': 'fName'}, axis_metadata={'label': 'fTitle', 'name': 'fName'})
  Parameters:

    - metadata (dict of str → str) – Metadata to collect (keys) and their C++ class member names (values).

    - axis_metadata (dict of str → str) – Metadata to collect from each axis.

  Converts the histogram into a `boost-histogram` object.

## to_hist

Inherited from uproot.behaviors.TH1.Histogram.

TProfile3D.to_hist(metadata=None, axis_metadata=None)
  Parameters:

    - metadata (dict of str → str) – Metadata to collect (keys) and their C++ class member names (values).

    - axis_metadata (dict of str → str) – Metadata to collect from each axis.

  Converts the histogram into a `hist` object.